public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/automx2/
Date: Tue, 29 Dec 2020 21:15:46 +0000 (UTC)	[thread overview]
Message-ID: <1609276166.b51bfc358e51ef4ddb46da498a2f0691873926ea.sam@gentoo> (raw)

commit:     b51bfc358e51ef4ddb46da498a2f0691873926ea
Author:     Ralph Seichter <github <AT> seichter <DOT> de>
AuthorDate: Fri Dec 18 18:30:21 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 21:09:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b51bfc35

net-mail/automx2: Bump to version 2020.2

Feature release 2020.2 introduces support for POP3 servers.

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Ralph Seichter <gentoo <AT> seichter.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/automx2/Manifest              |  1 +
 net-mail/automx2/automx2-2020.2.ebuild | 44 ++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/net-mail/automx2/Manifest b/net-mail/automx2/Manifest
index a8ac298f32c..39ebb80d49d 100644
--- a/net-mail/automx2/Manifest
+++ b/net-mail/automx2/Manifest
@@ -1,2 +1,3 @@
 DIST automx2-2019.0.tar.bz2 46670 BLAKE2B 6f62b4429be8046fce18ccba6827879a99627d8fbe9cf7973d8059e87b4968a280b62d5d005aaed3b0e1074053f4a6355c34f2cdce2f06a9afb14c52b4504fb7 SHA512 e494a48ffd3e6d133a89db5afd1dc75116a8efcc41f0571a24271bcbe6074c86d62184ce00bae9ced888a70be7d20f2a3614f28007d4481537d42c680dca4daa
 DIST automx2-2020.1.tar.bz2 49405 BLAKE2B 2c9b26300e32e613f622e0b3a39b7f408d22e22638d61da3c93f5d448fe3ebb325e9a0004e3351abed2c9e427373c42637e3539831c04cda8e65a4d1bba1773e SHA512 823e569eacedcf49d53f8ed623a75455e715e3d49186179927a0e10d3efe9823c336912789bbf3d7d2f9aba3053b601352c99bda4ffcc9a7b78e412c938cd91f
+DIST automx2-2020.2.tar.bz2 50740 BLAKE2B 394d26a06d23efe18a3c147f89660a9dbdde7edba078fd361f188738fdc28d36122aa8182e965bb8e3d69d4cbcd3cb784bc7722dd382d1fbee36213459b91fa1 SHA512 dce790c754fd089a15d0baf023a9cb2e04ebb42a4558fc91b06c2de2105f3e00f3675a555739ff1bc35166c98f6cecec62c95f18f4144e88ac6024eaa6f39abe

diff --git a/net-mail/automx2/automx2-2020.2.ebuild b/net-mail/automx2/automx2-2020.2.ebuild
new file mode 100644
index 00000000000..27bbeeef2a1
--- /dev/null
+++ b/net-mail/automx2/automx2-2020.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Email client autoconfiguration service"
+HOMEPAGE="https://automx.org/"
+SRC_URI="https://gitlab.com/automx/automx2/-/archive/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+BDEPEND="acct-user/automx2
+	dev-python/flask-migrate[${PYTHON_USEDEP}]
+	dev-python/ldap3[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}"
+
+python_prepare_all() {
+	sed -i -e "/('scripts'/d" setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	export AUTOMX2_CONF="tests/unittest.conf"
+	${EPYTHON} -m unittest discover tests/ || die
+}
+
+python_install_all() {
+	if use doc; then
+		DOCS="*.adoc doc/*.adoc contrib/*sample.conf"
+		HTML_DOCS="doc/*.html doc/*.svg"
+	fi
+	sed -e "s/@EPYTHON@/${EPYTHON}/" "${FILESDIR}/init" | newinitd - "${PN}"
+	newconfd "${FILESDIR}/confd" "${PN}"
+	insinto /etc
+	newins "${FILESDIR}/conf" "${PN}.conf"
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2020-12-29 21:15 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-29 21:15 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 15:01 [gentoo-commits] repo/gentoo:master commit in: net-mail/automx2/ Arthur Zamarin
2024-08-10  7:24 Joonas Niilola
2024-07-05  6:09 Joonas Niilola
2024-06-02  0:52 Sam James
2023-05-01 17:59 Sam James
2023-05-01 17:59 Sam James
2023-03-20  6:31 Joonas Niilola
2023-02-17  8:12 Sam James
2022-06-16 16:30 Sam James
2022-05-22  3:26 Joonas Niilola
2022-05-20  6:21 Joonas Niilola
2022-05-20  1:17 Sam James
2022-05-20  1:17 Sam James
2022-04-08 15:50 Joonas Niilola
2022-04-08 12:46 Joonas Niilola
2022-04-08 12:46 Joonas Niilola
2022-04-02  7:59 Agostino Sarubbo
2021-12-24  4:47 Sam James
2021-12-06  7:08 Agostino Sarubbo
2021-06-21 22:36 Sam James
2021-06-21 22:36 Sam James
2021-06-13  3:45 Sam James
2021-06-06 16:20 Joonas Niilola
2021-04-13 15:59 Sam James
2021-04-12 15:50 Sam James
2021-04-09 20:42 Sam James
2021-03-09 12:05 Sam James
2021-03-09 12:05 Sam James
2021-03-09 12:05 Sam James
2021-03-09 12:05 Sam James
2021-03-09 12:05 Sam James
2021-02-11  8:11 Sam James
2021-01-09 18:58 Sam James
2021-01-09 18:48 Sam James
2020-12-29 21:15 Sam James
2020-12-29 21:15 Sam James
2020-05-11 16:45 Agostino Sarubbo
2020-03-28 16:19 Marc Schiffbauer
2020-03-28 16:12 Marc Schiffbauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609276166.b51bfc358e51ef4ddb46da498a2f0691873926ea.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox